Subject: Re: bug#19219: New command-line syntax for package + version?

From: Efraim Flashner <[email-masked]>
Date: Thu, 31 Dec 2015 10:09:34 +0200

On Wed, 30 Dec 2015 20:16:31 -0500
Leo Famulari <[email-masked]> wrote:

> On Wed, Dec 30, 2015 at 11:45:14PM +0100, Mathieu Lirzin wrote:
>  [...]  
>  [...]  
>  [...]  
>  [...]  
>  [...]  
>  [...]  
> > 
> > I'm OK with that.  Since choosing the reserved characters is not a
> > technical decision, maybe we could poll users?  
> 
> I think we should poll a big list of packages and see which characters
> are most safe to use.
> 
> The question is: which big list? Debian's?
> 
> 
 
When debian adopted multiarch they had a small internal fight about what characters to use, since there are only so many usable characters. IIRC, a long version of a debian package could be 1:6.3.2-1+bpo1~henry. I don't remember if their sorting takes into account ascii order or their own internal order, but I'm pretty sure they only allow using each character once.

http://www.fifi.org/doc/debian-policy/policy.html/ch-versions.html
https://www.debian.org/doc/manuals/maint-guide/first.en.html#namever
https://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Version

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted